NSRINFO(8)

NAME
nsrinfo - NetWorker file index reporting command

SYNOPSIS
nsrinfo [ -vV ] [ -s server | -L ] [ -n namespace ] [ -N filename ] [ -t time ] [ -X application ] client

DESCRIPTION
The nsrinfo command generates reports about the contents of a client file index. Given a required NetWorker client name and no options, nsrinfo will produce a report of all files and objects, one per line, in the backup name space for that client. It can also generate reports as follows: for a specific file index name space, for all name spaces at once, or for a particular XBSA application. Reports can also be restricted to a single time (the time at which the entry was entered into the file index, called the savetime).

For example, to generate a report of all files backed up in the most recent backup of the /usr file system for the client mars, use the following sequence of commands (assuming the % character is the shell prompt):
    % mminfo -r nsavetime -v -N /usr -c pegasus -ot | tail -1
    809753754
    % nsrinfo -t 809753754 mars
Note: The time used in the query is obtained by running the mminfo(8) command with a custom report to print the save time for the most recent save set for /usr. The time printed is passed to nsrinfo along with the name of the client (mars).

Unless you use the -L option, you must have NetWorker Administrator privilege to use this command. In the case of -L, you must be a system administrator (that is, root on a UNIX system).

OPTIONS

-v  Verbose mode. In addition to the filename, it prints the type of the file, the internal file index identifier (if any), the size (if a UNIX file), and the savetime. This option may be combined with the -V option.

-V  Alternate verbose mode. In addition to the filename, it prints the offset within the save set containing the file, the size within the save set, the application name space (see the -n option for a list of values), and the save time. This option may be combined with the -v option.

-s server
    Indicates the name of the NetWorker system to be queried. By default, the server on the local system is queried.

-L  Opens a file index directly without using the server. This option is used for debugging, or to query the file index while NetWorker is not running.

-n namespace
    Indicates the file index name space to query. By default the backup name space is used. The other recognized values are: migrated, archive (reserved for future use), nsr (for internal use), informix (for INFORMIX data), sybase (for Sybase data), msexch (for Exchange data), mssql (for SQL Server data), notes (for Lotus Notes data), db2 (for DB/2 data), oracle (for Oracle data), and all. The name space field is case sensitive.

-N filename
    Indicates an exact filename to look for in the file index. Only index entries matching this name exactly print. Note that for some clients, such as NetWare, the name stored in the file index is often not made up of printable ASCII characters, giving this option limited use.

-t time
    Restricts the query to a single, exact save time. The time can be in any of the NetWorker nsr_getdate(3) formats. Every save set created by NetWorker has a unique save time; these times can be determined by using the mminfo(8) command.

-X application
    Restricts the query to list information for only a specific X/Open Backup Services (XBSA) application. Valid application types are All, Informix, and None. The application type is not case sensitive. See the APPLICATION TYPES section of this man page for more information.

FILE TYPES
The file index can store entries for all types of clients. Each index entry includes an index entry type. In general, only the client that created the index entry can decode the entry.

This section lists index entry types recognized by nsrinfo. However, even though these types are recognized, nsrinfo can only completely decode one entry type: the UNIX version decodes UNIX entry types, and the NT version decodes NT entry types. For other recognized types, some information may be incomplete.

old UNIX
    Clients running versions earlier than 3.0 of NetWorker for UNIX.

UNIX
    Clients running versions earlier than 4.0 of NetWorker for UNIX.

UNIX ASDF
    Index entries including extended ASM Structured Data Format (ASDF) information for clients running versions 4.1 and later of NetWorker for UNIX.

UNIX ASDF v2
    Index entries from agentless saves for clients running versions 4.2 and later of NetWorker for UNIX.

UNIX ASDF v3
    Index entries for large files (files > 2 gigabytes) for clients running versions 5.1 for UNIX and later NetWorker for UNIX.

old DOS
    DOS clients running versions 2.0 and earlier of NetWorker for DOS.

DOS DOS, Windows, or OS/2 clients running version 2.0 of NetWorker for DOS, Windows, or OS/2.

DOS old ASDF
    DOS, Windows, or OS/2 clients running version 2.0 of NetWorker for DOS, Windows or OS/2.

WIN ASDF
    Windows or NT clients running NetWorker for Windows NT 4.2 and above.

WIN ASDF v2
    Windows or NT clients running NetWorker for Windows NT 4.2 and above, created by using agentless saves.

old NetWare
    NetWare clients running version 3.0 and earlier of NetWorker for NetWare.

NetWare
    NetWare clients running version 3.0 and later of NetWorker for NetWare 3.0.

OSF 64bit
    A client running OSF/1 with 64bit file sizes and offsets.

continuation
    A special internal index entry, that is generated when a file crosses save set boundaries in a save set series.

APPLICATION TYPES

All This application type prints out all of the X/Open Backup Services API (XBSA) information available for each object; only XBSA objects are printed. The -v and -V flags have the same effect here as they do on files.

Informix
    This application type prints out only those objects recognized as Informix Database objects (XBSA ObjectOwner.bsaObjectOwner is INFORMIX). The -v flag behaves as it does with files, while the -V flag prints out all the XBSA information about the object (see All, above), including the normal -V information.

None
    This application type prints out objects that are not XBSA objects, but match the given criteria. For example, this option can be used to print a list of files backed up from a client.

FILES
/nsr/index/client/db6

SEE ALSO
nsr_getdate(3), mminfo(8), nsrck(8), nsrindexd(8).

DIAGNOSTICS

bad time value `time'
    The time value specified in the -t option is not in a valid nsr_getdate(3) format.

cannot open index for client client: reason
    The file could not be opened using the -L option. The specific reason is printed, although there may be several. The most likely reasons are permission denied if the user is not the superuser, and service busy, try again if the file index is already locked (for example, by nsrindexd(8)).

cannot create db scan on client
    An internal error occurred while attempting to query the file index. Contact Legato Technical Support.

number bad records for client client
    This diagnostic prints at the end of a report if any bad index records were detected. This is a sign that the index is damaged, and may need to be recovered.

cannot connect to server server
    The index server is not available for one of many reasons. For example, the NetWorker server may be down, or nsrinfo may not be able to connect to a running server due to either a resource shortage or a network problem.

cannot start session with server server
    The index server is running, but refused the connection. The exact reason is printed on the subsequent line of output. The most likely reasons are permission denied if the user is not a NetWorker administrator, and service busy, try again if the file index is locked (for example, by nsrck(8)).

lookup failed to server server
    The index server is running, but was unable to process the query. The exact reason is printed on the subsequent line of output.

LIMITATIONS
The command line options should be made as powerful as those of mminfo(8).

The -v and -V reports are not formatted into columns.

A query for a specific time can take a very long time due to the schema of the file index.

The queries are limited due to the lack of a cross-platform browser.